Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1331325 - [PATCH] Disable sslv3 in nagios-plugins
[PATCH] Disable sslv3 in nagios-plugins
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
25
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-28 06:01 EDT by Codarren Velvindron
Modified: 2017-01-20 16:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-20 16:40:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Disable sslv3 (698 bytes, patch)
2016-04-28 06:01 EDT, Codarren Velvindron
no flags Details | Diff
nagios-plugins spec diff (802 bytes, patch)
2016-04-28 06:02 EDT, Codarren Velvindron
no flags Details | Diff

  None (edit)
Description Codarren Velvindron 2016-04-28 06:01:03 EDT
Created attachment 1151792 [details]
Disable sslv3

Description of problem:https://www.rfc-editor.org/rfc/rfc7568.txt
According to rfc7568, sslv3 is no longer considered secure. This patch disables sslv3 if the system's openssl is compiled without it.


Version-Release number of selected component (if applicable):
nagios-plugins-2.1.1

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Codarren Velvindron 2016-04-28 06:02 EDT
Created attachment 1151794 [details]
nagios-plugins spec diff
Comment 2 Jan Kurik 2016-07-26 00:50:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 3 Fedora Admin XMLRPC Client 2017-01-17 14:38:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Stephen John Smoogen 2017-01-17 19:25:33 EST
This patch looks to have been fixed and closed in upstream 2.1.4 with the patch attached. An updated package will be built into Fedora 24 and 25 this week.
Comment 5 Stephen John Smoogen 2017-01-20 16:40:44 EST
This bug is considered closed in 2.1.4

Note You need to log in before you can comment on or make changes to this bug.